using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using FLY.Simulation.Flyad7;
using System.Collections.ObjectModel;

namespace FLYAD7_Simulation_Wpf
{
    /// <summary>
    /// Window_SyncList.xaml 的交互逻辑
    /// </summary>
    public partial class Window_SyncList : Window
    {
        ObservableCollection<string> syncmessages = new ObservableCollection<string>();
        FLYAD7 flyad7;
        public Window_SyncList()
        {
            InitializeComponent();
        }
        public void Init(FLYAD7 flyad7) 
        {
            this.flyad7 = flyad7;
            flyad7.mOrderMan.order_sync.CurrSyncOrderChangedEvent += new Action<Order_Sync>(order_sync_CurrSyncOrderChangedEvent);
            listBox1.ItemsSource = syncmessages;
            

        }
        void order_sync_CurrSyncOrderChangedEvent(Order_Sync obj)
        {
            this.Dispatcher.BeginInvoke( new Action<string>(
                order_sync_CurrSyncOrderChangedEvent2)
                , obj.ToString());
            
        }
        void order_sync_CurrSyncOrderChangedEvent2(string str)
        {
            syncmessages.Add(str); 

        }
    }
}
